Attribute VB_Name = "Guid"
Option Explicit

Public Declare Function GetWindowLong Lib "user32" Alias "GetWindowLongA" (ByVal hwnd As Long, ByVal nIndex As Long) As Long
Public Declare Function SetWindowLong Lib "user32" Alias "SetWindowLongA" (ByVal hwnd As Long, ByVal nIndex As Long, ByVal dwNewLong As Long) As Long
Public Declare Function SetWindowPos Lib "user32" (ByVal hwnd As Long, ByVal hWndInsertAfter As Long, ByVal X As Long, ByVal Y As Long, ByVal cx As Long, ByVal cy As Long, ByVal wFlags As Long) As Long
Public Declare Function OleCreatePictureIndirect Lib "olepro32.dll" (lpPictDesc As PictDesc, riid As Guid, ByVal fPictureOwnsHandle As Long, ipic As IPicture) As Long
Public Declare Function LoadImage Lib "user32" Alias "LoadImageA" (ByVal hInst As Long, ByVal lpsz As String, ByVal iType As Long, ByVal cx As Long, ByVal cy As Long, ByVal fOptions As Long) As Long

Public Const WS_OVERLAPPED = &H0&
Public Const WS_CAPTION = &HC00000
Public Const SWP_FRAMECHANGED = &H20
Public Const SWP_NOMOVE = &H2
Public Const SWP_NOSIZE = &H1
Public Const IMAGE_BITMAP = 0
Public Const IMAGE_ICON = 1
Public Const IMAGE_CURSOR = 2
Public Const LR_LOADMAP3DCOLORS = &H1000
Public Const LR_LOADFROMFILE = &H10
Public Const LR_LOADTRANSPARENT = &H20
Public Const GWL_STYLE = (-16)
Private Type PictDesc
Scb As Long
Tbmp As Long
Ih As Long
End Type
Private Type Guid
Data1 As Long
Data2 As Integer
Data3 As Integer
Data4(0 To 7) As Byte
End Type


Public Sub Title(frm As Form, bar As Boolean)
Dim lRtn As Long
lRtn = GetWindowLong(frm.hwnd, GWL_STYLE)
If bar Then
lRtn = lRtn Or (WS_OVERLAPPED Or WS_CAPTION)
Else
lRtn = lRtn And Not (WS_OVERLAPPED Or WS_CAPTION)
End If
SetWindowLong frm.hwnd, GWL_STYLE, lRtn
SetWindowPos frm.hwnd, 0, 0, 0, 0, 0, SWP_FRAMECHANGED Or SWP_NOMOVE Or SWP_NOSIZE
End Sub
 
Public Function MoveBitmap(ByVal lRtn As Long) As IPicture
If (lRtn = 0) Then Exit Function
Dim pic As Picture
Dim des As PictDesc
Dim gui As Guid
With des
.Scb = Len(des)
.Tbmp = vbPicTypeBitmap
.Ih = lRtn
End With
With gui
.Data1 = &H20400
.Data4(0) = &HC0
.Data4(7) = &H46
End With
OleCreatePictureIndirect des, gui, True, pic
Set MoveBitmap = pic
End Function

